using Hotline.Quality;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using XF.Domain.Repository;

namespace Hotline.Orders
{
	[Description("市民画像标签记录")]
	public class CitizenLabelDetail : FullStateEntity
	{
		/// <summary>
		/// 市民id
		/// </summary>
		[SugarColumn(ColumnDescription = "市民id")]
		public string CitizenId { get; set; }

		/// <summary>
		/// 市民标签
		/// </summary>
		[SugarColumn(ColumnDescription = "市民标签", ColumnDataType = "varchar(200)")]
		public string Label { get; set; }

		/// <summary>
		/// 
		/// </summary>
		[Navigate(NavigateType.OneToOne, nameof(CitizenId))]
		public Citizen Citizen { get; set; }
	}
}
